sfinv.override_page("sfinv:crafting", {
	title = "Crafting",
	get = function(self, player, context)
		return sfinv.make_formspec(player, context, [[
				image_button[7,0;1,1;btmt_credits.png;btmt_credits;;false;true]
				list[current_player;craft;1.75,0.5;3,3;]
				list[current_player;craftpreview;5.75,1.5;1,1;]
				image[4.75,1.5;1,1;sfinv_crafting_arrow.png]
				listring[current_player;main]
				listring[current_player;craft]
			]], true)
	end
})

---- GUI INICIAL :
local label_credts = "Welcome to Better Minetest, a vanilla+ mod"..",\n".."which adds various things to make the Minetest game"..",\n".."more enjoyable without losing its essence.".."\n\n".."CREDITS"..":\n"
local label_settings = "Some options such as particles"..",\n".."they can be enabled in the "
local function btmt_credits (player)
local creditis = "formspec_version[6]".."size[10.5,11]".."button_exit[9.8,0.5;0.5,0.5;btmt_exit;X]".."label[3.8,0.8;BETTER MINETEST]"..
"label[0.5.1,2;"..label_credts.."]"..
"hypertext[0.5,4.3;7,1;hypertext11;<action name=\"luabutton\" url=\"https://content.luanti.org/users/pixelzone/\">Pixelzone</action>]"..
"hypertext[0.5,4.8;7,1;hypertext11;<action name=\"luabutton\" url=\"https://content.luanti.org/packages/Mirtilo/baunilha/\">Mirtilo (Baunilha Textures)</action>]"..
--"button[2.9,9.5;5,1;btmt_settings;Settings]"
"label[0.5,5.8;"..label_settings.."]"..
"button_url[0.5,6.7;3,0.5;btmt_settings;Settings;https://codeberg.org/pixelzone/Better_Minetest/raw/branch/main/btmt_settings.jpg]" 

core.show_formspec(player:get_player_name(), "btmt_credits", creditis)
end

minetest.register_on_player_receive_fields(function(player, formname, fields)
      local playername = player:get_player_name()  
        if fields.btmt_credits then
	   btmt_credits (player)
       end    
end)
